
Figure - Bug #118374
【IOVDEV-31401】【VC1】【0086】【台架/EE环境】【HRYTTESTVINMGM328】【副屏遥控器】偶现点击
音量icon，副屏未变成静音状态
2023-05-30 19:35 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-30

Priority: Normal Due date: 2023-06-05

Assignee: CDTS_TEST 王成 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0095

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause:

Description

前提条件】

1、车机已上电，网络正常

2、车辆处于测试环境

【操作手顺】

1、进入副屏遥控器应用，音量条处于非静音状态

2、点击音量按钮，查看主屏和副屏音量

【实际结果】

2、主屏变成静音显示，副屏音量条未变成静音

【期望结果】

2、变成静音按钮后，副屏也变成静音显示

【复归方法】无

【复现率】5/5

测试时间：20230530 10：57

副屏版本：100 usedebug版本

副屏和主屏的日志请见附件，测试视频请见附件

主屏发送音量调节请求

Line 183850: 05-30 10:57:34.773 D/RemoteControlClient_SocketMessageUtil( 4725): Send message to service finished. direction: 1, messageType: 19,

json: {"type":"music","source":0,"token":"5rNqeZrxBDmB88m","value":20}

Line 184366: 05-30 10:57:40.114 D/RemoteControlClient_SocketMessageUtil( 4725): Send message to service finished. direction: 1, messageType: 19,

json: {"type":"music","source":0,"token":"5rNqeZrxBDmB88m","value":0}

Line 185193: 05-30 10:57:48.631 D/RemoteControlClient_SocketMessageUtil( 4725): Send message to service finished. direction: 1, messageType: 19,

json: {"type":"music","source":0,"token":"5rNqeZrxBDmB88m","value":20}

Line 185850: 05-30 10:57:50.461 D/RemoteControlClient_SocketMessageUtil( 4725): Send message to service finished. direction: 1, messageType: 19,

json: {"type":"music","source":0,"token":"5rNqeZrxBDmB88m","value":0}

History

#1 - 2023-05-30 20:01 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖
Hi 天颖

帮忙检查下消息是否正常收到，并设置

#2 - 2023-05-31 16:25 - CD FW-程天颖

■ Current conclusion

正在寻找关键log

■ My analysis

可能由于异步操作时序问题引起遥控器app数据显示错误

■Next Step

确定问题原因

#3 - 2023-05-31 17:30 - CD FW-程天颖

■ Current conclusion

已确定音量状态数据传输没有问题

■ My analysis

最后一次调节音量时为

05-30 10:58:17.672 D/RemoteControlService( 2394): Send message finished. direction: 16, messageType: 19, json:

{"name":"music","source":0,"token":"5rNqeZrxBDmB88m","type":"volume_change","value":0}

后续的音量查询状态为

05-30 10:58:25.508 D/RemoteControlService( 2394): Send message finished. direction: 16, messageType: 23, json:

{"source":0,"token":"5rNqeZrxBDmB88m","type":"current_volume","value":[{"name":"music","value":0,"value_max":39},{"name":"alarm","value":0,"value_max":7},{"name"

:"ring","value":0,"value_max":7}]}

中控收到的状态为：

05-30 10:59:11.444 D/RemoteControlClient_SocketMessageUtil( 4725): after parseEvent, json

is[{"source":0,"token":"5rNqeZrxBDmB88m","type":"current_volume","value":[{"name":"music","value":0,"value_max":39},{"name":"alarm","value":0,"value_max":7},{"na

me":"ring","value":0,"value_max":7}]}]

■ Next action

分析为什么通知栏显示的状态错误

#4 - 2023-05-31 19:04 - CDTS-TEST 周婷

- Due date set to 2023-06-05

#5 - 2023-06-01 21:15 - CD FW-程天颖

■ Current conclusion

已定位音量调整代码位置，正在梳理音量调的音量变化逻辑

■ My analysis

音量条的调节位置位于VolumeDialogControllerImpl中,AudioServiced.postVolumeChanged()调用mController.volumeChanged(),然后通知主线程走

到VolumeDialogControllerImpl.onVolumeChangedW(),

■ Next action

分析错误的原因

#6 - 2023-06-02 18:04 - CD FW-程天颖
■ Current conclusion

对bug进行了复现，出现了音量回弹

■ My analysis

副屏audio向中控发送音量变更请求，微服务创建socket失败，导致音量回调弹

05-30 10:56:57.151 D/MicroService( 2126): Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1685415417140610610',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1685415417140610610,"methodName":"setVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}}}

05-30 10:56:57.152 W/System.err( 2126): java.net.SocketException: Connection reset

05-30 10:56:57.152 W/System.err( 2126):     at java.net.SocketOutputStream.socketWrite(SocketOutputStream.java:121)

05-30 10:56:57.152 W/System.err( 2126):     at java.net.SocketOutputStream.write(SocketOutputStream.java:149)

05-30 10:56:57.152 W/System.err( 2126):     at com.thundercomm.microservice.util.SocketMessageUtil.sendMessage(SocketMessageUtil.java:58)

05-30 10:56:57.152 W/System.err( 2126):     at

com.thundercomm.microservice.MicroSocketClient.lambda$sendMessage$0$MicroSocketClient(MicroSocketClient.java:74)

05-30 10:56:57.152 W/System.err( 2126):     at com.thundercomm.microservice.MicroSocketClient$$ExternalSyntheticLambda1.run(Unknown Source:4)

05-30 10:56:57.152 W/System.err( 2126):     at java.lang.Thread.run(Thread.java:920)

05-30 10:56:57.222 W/[64991.324300] audit(    0): audit_lost=64382631 audit_rate_limit=5 audit_backlog_limit=64

■ Next action

分析为什么网络出现异常

#7 - 2023-06-02 18:25 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD_BSP 彭文亮

Hi,文亮，帮忙分析一下，为什么会出现System.err( 2126): java.net.SocketException: Connection reset

#8 - 2023-06-02 18:26 - CD FW-程天颖

- Category changed from CD-FW to BSP

#9 - 2023-06-02 19:58 - CD_BSP 彭文亮

- Assignee changed from CD_BSP 彭文亮 to CDTS_TEST 王成

Connection reset，如果是以太网的问题，应该是由于丢帧问题引起的。

今天发出的release106版本已经将车载以太网相关的问题的patch更新。

建议测试再测试一次。

#10 - 2023-06-03 15:01 - CD TEST-方永红

- Assignee changed from CDTS_TEST 王成 to CD_BSP 彭文亮

6.3

106版本上仍能复现

#11 - 2023-06-03 17:04 - CD FW-程天颖

- Category changed from BSP to 依赖中控解决

- Assignee changed from CD_BSP 彭文亮 to CD TEST-方永红
ignore comment#11

#12 - 2023-06-03 17:16 - CD FW-程天颖

- Category changed from 依赖中控解决 to BSP

- Assignee changed from CD TEST-方永红 to CD_BSP 彭文亮

#13 - 2023-06-03 18:39 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD_BSP 彭文亮 to CD TEST-方永红

解析 副屏-10-57.7z 主屏-10-57.7z 日志

1. 两份日志是logcat 日志,没有 tcpdump文件, 看不到报文交互信息

2. 从副屏-10-57.7z看,在发生java.net.SocketException: Connection reset前,没有Eth link 链路异常信息打印.  无tcpdump信息, 无法分析 "Connection reset" 原因.

05-30 10:56:57.151 D/MicroService( 2126): Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1685415417140610610',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1685415417140610610,"methodName":"setVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"0"}}}}

05-30 10:56:57.152 W/System.err( 2126): java.net.SocketException: Connection reset

05-30 10:56:57.152 W/System.err( 2126): at java.net.SocketOutputStream.socketWrite(SocketOutputStream.java:121)

05-30 10:56:57.152 W/System.err( 2126): at java.net.SocketOutputStream.write(SocketOutputStream.java:149)

3. 在6/3合入Fix Ether问题后, 反馈"106版本上仍能复现", 但未上传日志和tcpdump信息. 未能全和5/30日日志信息是否一致.

Next,请上传日志(包括tcpdump),谢谢!

#14 - 2023-06-06 13:48 - CD_BSP 彭文亮

- Assignee changed from CD TEST-方永红 to CDTS_TEST 王成

#15 - 2023-06-06 20:26 - CDTS_TEST 王成

- File 118374.png added

客户回复：

经产品决议，去掉音量调节功能，该问题在后续版本无需继续跟踪

#16 - 2023-06-06 20:27 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

#17 - 2023-06-06 20:27 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#18 - 2023-06-06 20:27 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

10-57.mp4 13 MB 2023-05-30 CDTS_TEST 王成

副屏-10-57.7z 234 KB 2023-05-30 CDTS_TEST 王成

主屏-10-57.7z 1.36 MB 2023-05-30 CDTS_TEST 王成
118374.png 213 KB 2023-06-06 CDTS_TEST 王成
